| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::AndroidLogListener Class Reference

`#include <OgreAndroidLogListener.h>`

Inheritance diagram for Ogre::AndroidLogListener:
[legend]

## Public Member Functions
| AndroidLogListener ()
virtual void | messageLogged (const Ogre::String &message, Ogre::LogMessageLevel lml, bool maskDebug, const Ogre::String &logName, bool &skipThisMessage)
| More...

## Constructor & Destructor Documentation

## ◆ AndroidLogListener()

Ogre::AndroidLogListener::AndroidLogListener | ( |  | ) |

## Member Function Documentation

## ◆ messageLogged()

virtual void Ogre::AndroidLogListener::messageLogged | ( | const Ogre::String & | message,
|  | Ogre::LogMessageLevel | lml,
|  | bool | maskDebug,
|  | const Ogre::String & | logName,
|  | bool & | skipThisMessage
| ) |  |
| virtual

Remarks
  This is called whenever the log receives a message and is about to write it out

Parameters

  message | The message to be logged
  lml | The message level the log is using
  maskDebug | If we are printing to the console or not
  logName | The name of this log (so you can have several listeners for different logs, and identify them)
  skipThisMessage | If set to true by the messageLogged() implementation message will not be logged

Implements Ogre::LogListener.

The documentation for this class was generated from the following file:

- OgreAndroidLogListener.h